def seeFloor(k):
    k = str(k)
    k = k[::-1]
    k = "".join(k[i] for i in range(len(k)) if k[:i].count(k[i]) == 0 or k[:i].count(k[i]) % 2 == 0)
    return int(k)
print(seeFloor(13)) # Output: 31
print(seeFloor(250)) # Output: 25
print(seeFloor(1234567890)) # Output: 987624351